Skip to main content
POST
/
merchant
/
invoice
/
pdf_update
Update Invoice PDF
curl --request POST \
  --url https://api.unibee.dev/merchant/invoice/pdf_update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoiceId": "<string>",
  "issueAddress": "<string>",
  "issueCompanyName": "<string>",
  "issueRegNumber": "<string>",
  "issueVatNumber": "<string>",
  "localizedCurrency": "<string>",
  "localizedExchangeRate": 123,
  "localizedExchangeRateDescription": 123,
  "metadata": {},
  "sendUserEmail": false,
  "showDetailItem": false,
  "template": "<string>"
}
'
{
  "code": 123,
  "data": {},
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/pdf_update Update Invoice PDF

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
invoiceIdstringYesThe unique id of invoice
issueAddressstringNoIssueAddress
issueCompanyNamestringNoIssueCompanyName
issueRegNumberstringNoIssueRegNumber
issueVatNumberstringNoIssueVatNumber
localizedCurrencystringNoLocalizedCurrency, To display localized currency amount
localizedExchangeRatenumberNoLocalizedExchangeRate, exchange rate must set while LocalizedCurrency enabled
localizedExchangeRateDescriptionnumberNoLocalizedExchangeRateDescription
metadataobjectNoMetadata,Map
sendUserEmailbooleanNoWhether sen invoice email to user or not,default false
showDetailItembooleanNoShowDetailItem, whether to display detail item information in pdf generate, unitAmount, quantity, etc.
templatestringNoTemplate

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/invoice/pdf_update" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "invoiceId": "id_example",
  "issueAddress": "",
  "issueCompanyName": "",
  "issueRegNumber": "",
  "issueVatNumber": "",
  "localizedCurrency": "",
  "localizedExchangeRate": "",
  "localizedExchangeRateDescription": "",
  "metadata": {},
  "sendUserEmail": "user@example.com",
  "showDetailItem": false,
  "template": ""
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/invoice/pdf_update" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "invoiceId": "id_example",
  "issueAddress": "",
  "issueCompanyName": "",
  "issueRegNumber": "",
  "issueVatNumber": "",
  "localizedCurrency": "",
  "localizedExchangeRate": "",
  "localizedExchangeRateDescription": "",
  "metadata": {},
  "sendUserEmail": "user@example.com",
  "showDetailItem": false,
  "template": ""
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
invoiceId
string<string>
required

The unique id of invoice

issueAddress
string<*string>

IssueAddress

issueCompanyName
string<*string>

IssueCompanyName

issueRegNumber
string<*string>

IssueRegNumber

issueVatNumber
string<*string>

IssueVatNumber

localizedCurrency
string<*string>

LocalizedCurrency, To display localized currency amount

localizedExchangeRate
number<*float64>

LocalizedExchangeRate, exchange rate must set while LocalizedCurrency enabled

localizedExchangeRateDescription
number<*float64>

LocalizedExchangeRateDescription

metadata
object

Metadata,Map

sendUserEmail
boolean<bool>
default:false

Whether sen invoice email to user or not,default false

showDetailItem
boolean<*bool>
default:false

ShowDetailItem, whether to display detail item information in pdf generate, unitAmount, quantity, etc.

template
string<string>

Template

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>